{{toc}} is not replaced by table of content when exporting wiki page to pdf

2011-12-19 11:51 - Florent Fievez

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.2.2   

Resolution: Fixed Affected version: 2.2.1

Description

While exporting a wiki page to pdf, the {{toc}} keyword stay untranslated, it should be replaced by a table of content as in html

rendering of the page.

See attached pdf file for example.

Related issues:

Related to Redmine - Defect #13559: {{toc}} remains when exporting wiki page ... New

Has duplicate Redmine - Defect #11728: Macros should be rendered or stripped ... Closed

Associated revisions

Revision 11227 - 2013-01-20 17:22 - Jean-Philippe Lang

Strip {{toc}} tags in pdf exports (#9842).

Revision 11235 - 2013-01-20 18:06 - Jean-Philippe Lang

Merged r11227 from trunk (#9842).

History

#1 - 2011-12-20 14:38 - Gokay Gok

+1

#2 - 2011-12-23 15:58 - Cassiano Monteiro

+1

#3 - 2012-01-09 15:54 - franz baumann

+1

#4 - 2012-01-09 16:47 - Oli Kessler

+1

#5 - 2012-02-07 14:54 - Lu Pon

+1

Macro pages (when you include a subpage) are not rendering correctly when you export to PDF and works well when you export to html.

#6 - 2012-02-07 14:56 - Lu Pon

- File Proyecto-uinfo.pdf added

#7 - 2012-02-07 14:56 - Lu Pon

See attached file. Do you think I must open a new issue for this?

#8 - 2012-02-17 06:23 - Alexander Alexeev

+1

#9 - 2012-02-20 10:24 - Pierluigi Soana

+1
Macro in general are not rendered by the export job

#10 - 2012-02-28 11:37 - Martin Jinoch

same problem in 1.3.1

#11 - 2012-02-28 12:29 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#12 - 2012-06-13 13:59 - Anatoliy Gavrilov

+1

#13 - 2012-06-13 23:48 - Stephen Ostrow

This is present in Redmine 1.4.3.stable as well.

#14 - 2012-06-22 13:09 - Cassiano Monteiro

Up!

Since defect #10688 was fixed, if this one and #10689 were fixed too, this would be very nice!

#15 - 2012-08-28 17:49 - Toshi MARUYAMA

- Category changed from Wiki to PDF export

#16 - 2012-08-29 10:21 - Carlos Peñas

It really happens with any macro (exporting to pdf) not only with {{toc}}

#17 - 2012-10-17 17:19 - Maurizio Totti

+1

#18 - 2012-11-21 16:59 - David Fouche

+1

Macro in general

#19 - 2012-12-12 21:36 - Michael Oostdyk

+1

Please

#20 - 2012-12-12 21:43 - Kevin Gillen

+1

#21 - 2013-01-16 10:58 - Daniel Felix

- Target version changed from Candidate for next minor release to 2.2.2

- Affected version (unused) changed from 1.3.0 to 2.2.1

- Affected version changed from 1.3.0 to 2.2.1

I can confirm this issue in 2.2.1 and current trunk (r11196).

This should be fixed. Anyway... just display the TOC or remove it, cause it doesn't make so much sense on the pdf-export, as Adobe has it's own

TOC available.

#22 - 2013-01-20 18:07 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Resolution set to Fixed

{{toc}} is now removed in PDF output.

#23 - 2013-01-20 18:11 - Toshi MARUYAMA

- Status changed from Closed to Reopened
It seems that r11227 is broken in CJK.

#24 - 2013-01-20 18:41 - Toshi MARUYAMA

- File issue-ja.pdf added

- File wiki-ja.pdf added

- Status changed from Reopened to Closed

Toshi MARUYAMA wrote:

It seems that r11227 is broken in CJK.

 Sorry, r11227 works fine in CJK.

#25 - 2013-03-22 08:39 - Karel Pičman

The same problem seems to me remains in TXT export.

Anyway I'd expect to implement TOC conversion to PDF instead of stripping of the tag.

#26 - 2013-03-22 12:19 - Toshi MARUYAMA

Karel Pičman wrote:

The same problem seems to me remains in TXT export.

Anyway I'd expect to implement TOC conversion to PDF instead of stripping of the tag.

 I have created new issue #13559.

Files

CentOS_64bits_30_release_notes.pdf 312 KB 2011-12-19 Florent Fievez

Proyecto-uinfo.pdf 305 KB 2012-02-07 Lu Pon

issue-ja.pdf 8.07 KB 2013-01-20 Toshi MARUYAMA

wiki-ja.pdf 5.95 KB 2013-01-20 Toshi MARUYAMA
